var arrayPlanos = new Array();
var planoFinal = true;
var codPlanta="0";
var codZona="0";
var codEdificio="0";
var planoBase=null;
var planoLupa=null;

jQuery(function($){
	
	$("#botoneraNuevo").hide();
	 
	var sClase="";
	var sCodigo="";
	var sCodClase="";
	var sCodCodigo="";	
	var pos;
		
	$("#aa20bMaqPartesWar_menu").hide();
	$("#contentMV").css("margin-left", "0px");
	$("#aa20bMaqPartesWar_migas").hide();
	$("#tituloAplicacion").html($.rup.i18n.app.nuevo.titulo);
	
	$("#feedbackMensajesNuevo").rup_feedback({
		type : "ok",
		block : false,
		closeLink : true
	});

	//Edificio
	$("#comboEdificios").rup_combo({
		source: "../partes/edificios/combo/remote",
		sourceParam: {label:obtenerIdiomaCombo()+"edificio", value:"idedificio"},
		width: 455,
		blank: "",
		style : "dropdown"										
	});
	
	$("#comboZonas").rup_combo({
		parent: [ "comboEdificios"],
		source: "../partes/zonasEdif/combo/remote",
		sourceParam: {label:obtenerIdiomaCombo() + "zona", value:"idzona"},
		selected: "0",
		orderedByValue: true,
		select : function() { 
			$("#idZona").val($("#comboZonas").val());
			//Si cambia la zona vaciar, si existe, el mapa descargado.
			vaciarMapa();
		},
		width: 200,
		blank: "",
		style : "dropdown"										
	});

	$("#comboPlantas").rup_combo({
		parent: [ "comboZonas", "comboEdificios"],
		source: "../partes/plantasZona/combo/remote",
		sourceParam: {label:obtenerIdiomaCombo() + "planta", value:"idplanta"},
		selected: "0",
		ordered: false,
		select : function() { 
			$("#idPlanta").val($("#comboPlantas").val());
			//Si cambia la zona vaciar, si existe, el mapa descargado.
			vaciarMapa();
		},
		width: 200,
		blank: "",
		style : "dropdown"										
	});

	$("#codigo").hide();
	$("#lbVip").hide();
	$("#vip").hide();
		
		//Obtener los datos del usuario identificado en XLNET
		$.ajax({
			type: "POST",
			url: "/aa20bMaqPartesWar/usuarioXLNET/obtenerDatosUsuarioXLNET",
			dataType: "json",
			error: function () {
	     	   $("#dialogoEspera").hide();
	        },
			success: function (data){
				
				//Si no viene dato de edificio no se deja dar de alta un parte.
				if(data.codEdificio=="" || data.codEdificio == null){
					$("#dialogoEspera").hide();
					$("#feedbackMensajesNuevo").rup_feedback("set", $.rup.i18n.app.nuevo.errorEdificio , "error");			
					return;
				}
				//Si el el codigo de edificio es 000000 no se deja dar de alta un parte.
				if(data.codEdificio == "000000"){
					$("#dialogoEspera").hide();
					$("#feedbackMensajesNuevo").rup_feedback("set", $.rup.i18n.app.nuevo.edificioNoValido , "error");			
					return;
				}
				
				$("#divContenido").show();
				$("#dialogoEspera").hide();
				$("#iddepar").val(data.codDpto);
				$("#idIddepar").val(data.codDpto);
				$("#idCdepar").val(data.dptoCas);
				$("#idEdepar").val(data.dptoEus);

				$("#iddireccion").val(data.codDireccion);
				$("#idIddir").val(data.codDireccion);
				$("#idCdir").val(data.direccionCas);
				$("#idEdir").val(data.direccionEus);
				$("#idCodestrUs").val(data.codEstrUs);
				$("#idDirIDdepart").val(data.codDpto);
				
				$("#idEdificio").val(data.codEdificio);
				$("#idCEdificio").val(data.edificioCas);
				$("#idEEdificio").val(data.edificioEus);
				$("#idCPlanta").val(data.plantaCas);
				$("#idEPlanta").val(data.plantaEus);
				$("#idCZona").val(data.zonaCas);
				$("#idEZona").val(data.zonaEus);
				
				if ($.rup_utils.capitalizedLang() =="Es") {	
					$("#txtDpto").val(data.dptoCas);
					$("#txtDireccion").val(data.direccionCas);
					$("#txtEdificio").val(data.edificioCas);
					$("#txtPlanta").val(data.plantaCas);
					$("#txtZona").val(data.zonaCas);
				}else{
					$("#txtDpto").val(data.dptoEus);
					$("#txtDireccion").val(data.direccionEus);
					$("#txtEdificio").val(data.edificioEus);
					$("#txtPlanta").val(data.plantaEus);
					$("#txtZona").val(data.zonaEus);
				}	
				$("#idNombre").val(data.nomApel);
				$("#idTelefono").val(data.telefono);
				$("#idEmail").val(data.email);
				if (data.codPlanta != "" && data.codPlanta != null){
					codPlanta=data.codPlanta;
				}
				if (data.codZona != "" && data.codZona != null){
					codZona=data.codZona;	
				}
				$("#comboZonas").rup_combo("setRupValue",codZona); 
				$("#comboPlantas").rup_combo("setRupValue",codPlanta); 
				
				$("#idPlanta").val(data.codPlanta);
				$("#idZona").val(data.codZona);
				
				$("#idUidPersona").val(data.uidPersona);
				if (data.vip=="1"){
					$("#vip").prop("checked", "checked");
				}
			}	        
			});

		$("#idNombre").attr('disabled','disabled');
		$("#idDpto").attr('disabled','disabled');
		$("#idDireccion").attr('disabled','disabled');
		$("#idEdificio").attr('disabled','disabled');
		jQuery('input:radio[name="rbLocalizacion"]').filter('[value="0"]').attr('checked', 'checked');
		$("#vip").attr("disabled", 'disabled');
		
		/*************************************************************************/
		// Al pulsar el botón guardar enviamos los campos del formulario al Controller
		$("#bt_guardar").bind("click", validar);
		$("#bt_nuevo").bind("click", nuevo);
		$("#bt_salir").bind("click", salir);
		$("#bt_limpiar").bind("click", limpiar);

		
		$("#bt_consultarParteUsuario").click(function(){
			consultarPartesUsuario();
		});
		$("#bt_consultarParteUsuario2").click(function(){
			consultarPartesUsuario();
		});
		
		
	function validar(){
		//Si está marcado otraZonaPlanta la Planta no puede seleccionar Sin Plantas
		if($("input[name='rbLocalizacion']:checked").val()=="1" && $("#comboPlantas").val()=="0"){
			$.rup_messages("msgAlert", { 
	 			title: $.rup.i18n.app.comun.control,
		 		message: $.rup.i18n.app.nuevo.plantaNoSinPlanta
		 	});
			return;
		}
		
		//Si Puesto de Trabajo. Controlar que planta no sea sin planta
		if( $("input[name='rbLocalizacion']:checked").val()=="0" && $("#idPlanta").val()=="0"){
			$.rup_messages("msgAlert", { 
	 			title: $.rup.i18n.app.comun.control,
		 		message: $.rup.i18n.app.nuevo.plantaNoSinPlanta
		 	});
			return;
		}

		// Convertimos los checkbox a 0 y 1 en funcion de si están seleccionados o no
		$("input[type=checkbox]").each (function() {						
			$(this).val(this.checked ? "1" : "0");
		});
		
		//Hay que habilitar los campos para que lleguen al controller
		$("#idNombre").attr('disabled',false);
		$("#idDpto").attr('disabled',false);
		$("#idDireccion").attr('disabled',false);
		$("#idEdificio").attr('disabled',false);
		$("#vip").attr('disabled',false);
		
		$("input[type=checkbox]").each (function() {						
			$(this).val(this.checked ? "1" : "0");
		});
		
		//Pintar el texto y el código del espacio seleccionado
		$("#idCEspacio").val($("#textoEspacio").val());
		$("#idEEspacio").val($("#textoEspacio").val());

		var propertiesAlta={
				url:"../partes/alta",
				feedback:$("#feedbackMensajesNuevo"),
				beforeSend : function(data) {
					//Mostrar div de sincronizando
				  $("#dialogoGuardar").rup_dialog(
							{
								type : $.rup.dialog.DIV,
								height : 200,
								width : 500,
								modal : true,
								showLoading : true,
								autoOpen : false,
								title : $.rup.i18n.app.mensajesEdificios.guardando
							});
					$("#dialogoGuardar").rup_dialog("open");
			  },
				dataType: "json",
				//useJsonIfPossible: true,
				 error: function() {
					 	$("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 	$("#feedbackMensajesNuevo").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");			
						//volvemos a deshabilitar los campos para que lleguen al controller
						$("#idNombre").attr('disabled','disabled');
						$("#idDpto").attr('disabled','disabled');
						$("#idDireccion").attr('disabled','disabled');
						$("#idEdificio").attr('disabled','disabled');
						$("#vip").attr('disabled','disabled');
				 },
				 success: function(data2){
					 	$("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 	if (data2.errorParte=="NOEXISTEEDIFICIO"){
					 		$.rup_messages("msgError", { 
					 			title: $.rup.i18n.app.comun.control,
						 		message: "No se puede generar el parte porque no existe el edificio en la base de datos"
						 	});
					 		//return;
					 	}else if (data2.errorParte=="Parte duplicado"){
					 		var datosHtml="<p>" + $.rup.i18n.app.nuevo.averiaDuplicada + ":</p>";
					 		datosHtml= datosHtml + "<p>- " + $.rup.i18n.app.nuevo.fechare + ": " + data2.fechare+ "</p>";
					 		datosHtml= datosHtml + "<p>- " + $.rup.i18n.app.nuevo.nombre + ": " + data2.nombre+ "</p><p>- " + $.rup.i18n.app.nuevo.edificio + ": " + data2.edificio.cedificio+ "</p>";
					 		datosHtml= datosHtml + "<p>- " + $.rup.i18n.app.nuevo.zona + ": " + data2.zona.czona +"</p><p>- " + $.rup.i18n.app.nuevo.planta + ": " + data2.planta.cplanta +"</p><p>- " + $.rup.i18n.app.nuevo.espacio + ": " + data2.espacio.cespacio +"</p><p>- " + $.rup.i18n.app.nuevo.clase + ": " + data2.clase.cclase +"</p>";
					 		datosHtml= datosHtml + "<p>- " + $.rup.i18n.app.nuevo.codigo + ": " + data2.codigo.ccodigo +"</p><p>- " + $.rup.i18n.app.nuevo.observ + ": " + data2.observ +"</p>";
						 	$("#feedbackMensajesNuevo").rup_feedback("set", datosHtml, "alert");
						 	
						 	$.rup_messages("msgConfirm", { 
						 		message: "Posible parte duplicado. Si no tiene relación con el indicado pulse Aceptar. En caso de ser el mismo pulse Cancelar y se asociará su petición a la existente",
						 		OKFunction:agregarParte, //Agregar nuevo parte independiente
						 		CANCELFunction: function(){
						 			$("#idAveriaRepe").val(data2.idparte);
						 			duplicarParte(); //Agregar parte duplicado
						 		}
						 	});
					 	}else{
							 $("#feedbackMensajesNuevo").rup_feedback("set", $.rup.i18n.app.accionesRegistros.guardadook, "ok");
							 $("#botoneraNuevo").show();
							 $("#botoneraGuardar").hide();
									bloquearCampos();
									 $("#divNumAveria").show();
									 $("#idRtdoNumAveria").text(data2.idparte);

					 	};},
				 validate: {
					 rules: {
							"mail":{required:true},
							"telefo":{required:true,digits:true},
							"idplanta":{required:true},
							"idzona":{required:true},
							"idclase":{required:true},
							"claseActivo":{required:true},
							"activo":{required:true},
							"idcodigo":{required:true},
							"comboZonas":{required:function(){
									if($("input[name='rbLocalizacion']:checked").val()=="1"){
										return true;
									}else{
										return false;	
									}
							}},
							"comboPlantas":{required:function(){
									if($("input[name='rbLocalizacion']:checked").val()=="1"){
										return true;
									}else{
										return false;	
									}
							}}
					 }
				 }
				};
				$("#nuevoParteForm").rup_form(propertiesAlta);
				$("#nuevoParteForm").submit();
			
	}
	
	//Si estamos en el plano final, cuando haga click pintaremos un punto rojo
	//Si no es un plano final, cogeremos la coordernada en la que ha hecho clik y comprobaremos si es una zona que tiene que abrir el plano hijo
	$('#canvaPlano1').on('mouseup', function(e){
		var pos = getMousePos(this, e);
		if (planoFinal==true){
			pintarX(pos.x,pos.y);
			
		}else if (planoFinal==false){
			//recorremos el array de coordenada para ver si ha pinchado en una zona alrededor de un punto rojo (+-15) 
			jQuery.each( arrayPlanos, function( i, val ) {
				if ((parseInt(arrayPlanos[i].coordX) - 15)<(parseInt(pos.x)) && (parseInt(arrayPlanos[i].coordX) + 15)>(parseInt(pos.x)) && 
						(parseInt(arrayPlanos[i].coordY) - 15)<(parseInt(pos.y)) && (parseInt(arrayPlanos[i].coordY) + 15)>(parseInt(pos.y))		
				) {
					//Cargar el plano hijo
					cargarCanvasLupaIDPlano(arrayPlanos[i].idplano);
					planoFinal=true;
				}
			});
		}
	});
	
	$("#imgBuscarEspacio").hide();
});


function vaciarMapa(){
	//Ocultar el mapa y vaciar el campo que guarda el mapa
	var canvas = $('#canvaPunto')[0]; 
	canvas.width = canvas.width;
	$("#planoMarca").val("");

}

function getMousePos(canvas, evt) {
    var rect = canvas.getBoundingClientRect();
    return {
        x: evt.clientX - rect.left,
        y: evt.clientY - rect.top
    };
}
function nuevo(){
	location.href="/aa20bMaqPartesWar/partes/nuevo";		
}
function salir(){
	window.close();
}
function limpiar(){
	$("#nuevoParteForm").rup_form("clearForm");
	location.reload();
}

function agregarParte(){
	var properties={
			url:"../partes/agregarParte",
			feedback:$("#feedbackMensajesNuevo"),
			useJsonIfPossible: true,
			dataType:"json",
			error: function() {
					$("#feedbackMensajesNuevo").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");			
				},
			success: function(data){
					if (data != null && data.idparte!=null) {
						 $("#feedbackMensajesNuevo").rup_feedback("set", $.rup.i18n.app.accionesRegistros.guardadook, "ok");
						 $("#botoneraNuevo").show();
						 $("#botoneraGuardar").hide();
								bloquearCampos();
								 $("#divNumAveria").show();
								 $("#idRtdoNumAveria").text(data.idparte);
					}else{
						$("#feedbackMensajesNuevo").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");
					}
				}
			};
	$("#nuevoParteForm").rup_form(properties);
	$("#nuevoParteForm").submit();
	
}

function bloquearCampos(){
	$("input").attr('disabled','disabled');
	$("textarea").attr('readonly','readonly');

	$("#imgBuscarEspacio").prop("onclick", false);
	$("#imgBuscarClases").prop("onclick", false);
	$("#imgBuscar").prop("onclick", false);
}

function duplicarParte(){
	var propertiesDupl={
			url:"../partes/agregarParteDuplicado",
			feedback:$("#feedbackMensajesNuevo"),
			useJsonIfPossible: true,
			dataType:"json",
			error: function() {
					$("#feedbackMensajesNuevo").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");			
				},
			success: function(data){		
					if (data.idparte!=null) {
						 $("#feedbackMensajesNuevo").rup_feedback("set", $.rup.i18n.app.accionesRegistros.guardadook, "ok");
						 $("#botoneraNuevo").show();
						 $("#botoneraGuardar").hide();
							$('#bt_guardar').attr("disabled", true);
							$('#bt_limpiar').attr("disabled", true);
							 	bloquearCampos();
								 $("#divNumAveria").show();
								 $("#idRtdoNumAveria").text(data.idparte);
					}else{
						$("#feedbackMensajesNuevo").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");
					}
				}
			};
	$("#nuevoParteForm").rup_form(propertiesDupl);
	$("#nuevoParteForm").submit();
}

function obtenerIdiomaCombo(){
	var idioma="c";		
	if ($.rup_utils.capitalizedLang() =="Es") {	
		idioma = "c";
	} else idioma="e";
	return idioma;
	}

function mostrarLocalizacion(valor){
	if (valor==1){
		$("#divOtroSitio").show();
		$("#divPuesto").hide();
		//Poner los valores seleccionados en los combos
	//	$("#idZona").val($("#comboZonas").val());
	//	$("#idPlanta").val($("#comboPlantas").val());
		$("#idZona").val(codZona);
		$("#idPlanta").val(codPlanta);
	
		
		$("#comboEdificios").rup_combo("setRupValue",$("#idEdificio").val()); 
		$("#imgBuscarEspacio").show();
	}else if (valor==0){
		$("#divOtroSitio").hide();
		$("#divPuesto").show();
		//Poner los valores que han venido de XLNET
		$("#idZona").val(codZona);
		$("#idPlanta").val(codPlanta);
		$("#idespacio").val("");
		$("#idCEspacio").val("");
		$("#idEEspacio").val("");
		$("#textoEspacio").val("");
		$("#imgBuscarEspacio").hide();
	}

	//Ocultar el mapa y vaciar el campo que guarda el mapa
	var canvas = $('#canvaPunto')[0]; 
	canvas.width = canvas.width;
	$("#planoMarca").val("");

}

function btn_cargarPlano(){
	var codEdif = $("#idEdificio").val();
	var codPlanta = $("#idPlanta").val();
	var codZona = $("#idZona").val();
	
	//Obtener el plano para ese edificio zona y planta y los planos hijos si los tuviera  
	$.ajax({
		type: "GET",
		url: "../planos/obtenerListaPlanos",
		data:  { codEdif:codEdif, codPlanta:codPlanta, codZona:codZona },
		success: function(data){
			//Si no hay ningun registro no pintar el icono para mostrar el plano
			if (data.length==0){
				$.rup_messages("msgAlert", { 
		 			title: $.rup.i18n.app.comun.control,
			 		message: $.rup.i18n.app.nuevo.noHayPlano
			 	});
			}else{
				//Si solamente hay un registro-->se trata de un plano final. Se podrá marcar un punto rojo en el plano
				if (data.length==1){
					planoFinal=true;
				}else{
					planoFinal=false;
					//Si hay mas de un registro-->se trata de un plano intermedio. cogeremos las coordenadas de los planos hijos
					for (var i = 0; i < data.length; i++) {
					    var valor = {idplano:data[i].idplano, coordX: data[i].ejexdesde, coordY:data[i].ejeydesde};
					    arrayPlanos.push(valor);
					}
				}
				//Abrimos la ventana y cargamos el plano
				cargarZoomPlano(codEdif,codPlanta, codZona);
			}
		},
		  dataType: "json"
		});
}

function cargarZoomPlano(codEdif,codPlanta, codZona){
	//Mostrar la ventana de lupa del plano
	$("#lupaPlano").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:750,
        width:850,  
        resizable:false,
        title:"",
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarLupaPlano",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		
	        		//Copiar la imagen del plano grande al corto
	        		cargarCanvasPlanoCorto();
	        		
	        		$("#lupaPlano").rup_dialog("close");
	        		
	        	}
        	},
	        {
	    		id: "cerrarLupaPlano",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaPlano").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
	//cultamos el botón de aceptar y solo se mostrará cuando estemos en Alta de Parte y se haya hecho click en alguna parte del plano. 
	//Para que no se guarden en la base de datos planos sin pinchar
	$("#aceptarLupaPlano").hide();	

	cargarCanvasLupa(codEdif,codPlanta, codZona);
}


function btn_BuscarEspacios(){
	$("#idTablaEspacios").empty();
	//Obtener la lista de Espacios
	$.ajax({
		type: "POST",
		url: "../espacio/espaciosAlta/obtenerEspaciosAlta",
		success: function(data){
			var miselect=$("#idTablaEspacios");
			$("#idTablaEspacios").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion = data[i].cespacio;
              	} else {
              		descripcion = data[i].eespacio;
              	}
              	miselect.append('<option value="' + data[i].idespacio + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});
	
	//Mostrar la ventana de lupaEspacios
	$("#lupaEspacios").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:649,  
        resizable:false,
        title:$.rup.i18n.app.comun.espaciosVigentes,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarlupaEspacios",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		//Pintar el texto y el código del espacio seleccionado
	        		$("#idEspacio").val($("#idTablaEspacios option:selected").val());
	        		$("#textoEspacio").val($("#idTablaEspacios option:selected").html());
	        		
	        		$("#lupaEspacios").rup_dialog("close");
	        		}
        	},
	        {
	    		id: "cerrarlupaEspacios",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaEspacios").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
   	
}

function btn_BuscarCodigos(){
	$("#idTablaClases").empty();
	
	//Obtener la lista de Clases
	$.ajax({
		type: "POST",
		url: "../clase/clasesAlta/obtenerClasesAltaUsuPubli",
		success: function(data){
			var miselect=$("#idTablaClases");
			$("#idTablaClases").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion = data[i].cclase;
              	} else {
              		descripcion = data[i].eclase;
              	}
              	miselect.append('<option value="' + data[i].idclase + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});

	//Obtener la lista de activos
	$.ajax({
		type: "POST",
		url: "../codigo/codigosAlta/obtenerCodigosAltaUsuPubli",
		success: function(data){
			var miselect=$("#idTablaCodigos");
			$("#idTablaCodigos").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion = data[i].ccodigo;
              	} else {
              		descripcion = data[i].ecodigo;
              	}
              	miselect.append('<option value="' + data[i].idclase + '@' + data[i].idcodigo + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});

	
	//Mostrar la ventana de lupa
	$("#lupa").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:649,  
        resizable:false,
        title:"",
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarLupa",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		//Pintar el texto de la clase y activo seleccionado
	        		$("#claseActivo").val(sClase);
	        		$("#activo").val(sCodigo);

	        		//Pintar el tecto de la clase y codigo seleccioando en los inputs para mandar por correo
	        		$("#idCClase").val(sClase);
	        		$("#idCCodigo").val(sCodigo);

	        		//Recoger los codigos de clase y activo seleccionado
	        		$("#idClase").val(sCodClase);
	        		$("#idCodigo").val(sCodCodigo);

	        		//Si el código de parte es URGENTE chequear el campo Urgente 
		      		  $.ajax({
		    			  type: "POST",
		    			  url: "../codigo/codigoParteEsUrgente",
		    			  data:  { idCodigo:sCodCodigo},
		    			  success: function(data){
		    					  if (data==true){
		    						  //El código de Parte es urgente
		    						  $("#urgente").val("1");
		    					  }else{
		    						//El código de Parte NO es urgente
		    						  $("#urgente").val("0");
		    					  }
		    					  },
		    						 error: function(data){
		    							 alert( data);
		    						 },
		    					  dataType: "json"
		    					});

		      		  
	        		$("#lupa").rup_dialog("close");
	        		}
        	},
	        {
	    		id: "cerrarLupa",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupa").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
   
}
function obtenerCodigosClase(valor){

	//Obtener la lista de activos
	$.ajax({
		type: "POST",
		url: "../codigo/codigosAlta/obtenerCodigosAltaClaseUsuPubli",
		  data:  { claseSel:valor },
		success: function(data){
			var miselect=$("#idTablaCodigos");
			$("#idTablaCodigos").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion = data[i].ccodigo;
              	} else {
              		descripcion = data[i].ecodigo;
              	}
              	miselect.append('<option value="' + data[i].idclase + '@' + data[i].idcodigo + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});

	sClase=$("#idTablaClases option:selected").html();
	
	var claseCodigo= valor; //Original Text
	var partes= claseCodigo.split('@');
	sCodClase = partes[0];

}
function obtenerClaseCodigo(valor){
	var claseCodigo= valor; //Original Text

	var partes= claseCodigo.split('@');
	var clase = partes[0];
	var codigo= partes[1];
	
	sCodigo=$("#idTablaCodigos option:selected").html();
	sCodCodigo=codigo;
	//Marcar clase asociada al activo	
	$("#idTablaClases option[value="+ clase +"]").attr("selected",true);
	sClase=$("#idTablaClases option:selected").html();
	sCodClase=clase;
}

/******************************* COMPONENTE UPLOAD ***************************************/
$('#editarEdificio').rup_upload({
	fileInput: $("#planoMarca"),
	maxFileSize: 5000000,
	submitInForm:true
	});

$('#editarEdificio').rup_upload({
	fileInput: $("#pdfAdjunto"),
	maxFileSize: 5000000,
	submitInForm:true
	});



/******************************* MANEJO DEL CANVAS ***************************************/
function getPos(e){
    var ev=e || window.event;
    var obj=ev.target || ev.srcElement;
    obj.style.position='relative'; 
    posX=ev.layerX || ev.offsetX || 0;
    posY=ev.layerY || ev.offsetY || 0;
    return {x:posX,y:posY};
}  

function marcarX(e){
	pos=getPos(e);
	pintarX(pos.x,pos.y);
}
var ctxPunto ;
var cPunto ;

function cargarCanvasPlanoCorto(){
	
	var canvasGrande; 
	canvasGrande=document.getElementById("canvaPlano1");
	
	 cPunto = document.getElementById("canvaPunto");
	 ctxPunto = cPunto.getContext("2d");
	
	planoBase = new Image();
	ctxPunto.clearRect( 0, 0, 300, 240);
	ctxPunto.drawImage(canvasGrande, 0, 0, 300, 240);
}

function cargarCanvasLupaIDPlano(idPlano){
	
	 cPunto = document.getElementById("canvaPlano1");
	 ctxPunto = cPunto.getContext("2d");
	
	 planoLupa = new Image();
	 planoLupa.onload=function(){
		 ctxPunto.clearRect( 0, 0, 800, 640);
			ctxPunto.drawImage(planoLupa, 0, 0, 800, 640);
	};
	planoLupa.src="../planos/cargarPlano?idPlano=" + idPlano;
}

function cargarCanvasLupa(codEdif,codPlanta, codZona){
	
		 cPunto = document.getElementById("canvaPlano1");
		 ctxPunto = cPunto.getContext("2d");
		
		 planoLupa = new Image();
		 planoLupa.onload=function(){
			 ctxPunto.clearRect( 0, 0, 800, 640);
				ctxPunto.drawImage(planoLupa, 0, 0, 800, 640);
		};
		planoLupa.src="../planos/mostrarPlano?edificio=" + codEdif + "&planta=" + codPlanta + "&zona=" + codZona;
}

function pintarX(x,y){

	$("#aceptarLupaPlano").show();	
	
	ctxPunto.clearRect( 0, 0, 800, 640);
	ctxPunto.drawImage(planoLupa, 0, 0, 800, 640);
	ctxPunto.fillStyle="#FF0000";
	ctxPunto.beginPath(); 
	ctxPunto.arc(x, y, 10, 0, 2 * Math.PI, true); 
	ctxPunto.fill();
	
	var canvas; 
	canvas=document.getElementById("canvaPlano1");
	var url = canvas.toDataURL();
	 var byteString;
     if (url.split(',')[0].indexOf('base64') >= 0) {
         byteString = url.split(',')[1];
     } 
     
     //Metemos la imagen en el input que se va a enviar para guardar en base de datos la imagen
	$("#planoMarca").val(byteString);
}


/******************************* AYUDA ***************************************/
function openHelp(){
	abrirAyudaInicio();
}
/******************************* AYUDA ***************************************/



function consultarPartesUsuario(){
	var usuario = $("#idUidPersona").val();
	document.location.href = "/aa20bMaqPartesWar/partes/maintConsultaUsuarioNormal?usuario="+usuario;
	
}
